<?php
/**
 *
 * @author  ahrasis	http://elk.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod		Indent BBC
 *
 */

// If we have found SSI.php and we are outside of ElkArte, then we are running standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('ELK'))
	require_once(dirname(__FILE__) . '/SSI.php');

// If we are outside ElkArte and can't find SSI.php, then throw an error
elseif (!defined('ELK'))
	die('<b>Error:</b> Cannot install - please verify you put this file in the same place as ElkArte\'s SSI.php.');

if (ELK == 'SSI')
	db_extend('packages');

// Define the hooks
$hook_functions = array(
	'integrate_bbc_codes' => 'IndentBBC|SOURCEDIR/addons/IndentBBC.subs.php',
	'integrate_bbc_buttons' => 'IndentBBC_Buttons|SOURCEDIR/addons/IndentBBC.subs.php',
);

// Adding or removing them?
if (!empty($context['uninstalling']))
	$call = 'remove_integration_function';
else
	$call = 'add_integration_function';

// Do the deed
foreach ($hook_functions as $hook => $function)
	$call($hook, $function);

if (ELK == 'SSI')
   echo 'Congratulations! You have successfully installed this mod!';
   
?>